DROP TABLE IF EXISTS `customers_info_fields`;
CREATE TABLE `customers_info_fields` (
  `info_id` int(11) NOT NULL auto_increment,
  `uniquename` varchar(40) default NULL,
  `active` varchar(1) NOT NULL default 'Y',
  `system` varchar(1) NOT NULL default 'N',
  `locked` varchar(1) NOT NULL default 'N',
  `show_label` varchar(1) NOT NULL default 'Y',
  `input_type` varchar(1) NOT NULL default 'T',
  `default_value` varchar(255) default NULL,
  `textbox_size` varchar(20) NOT NULL,
  `textbox_min_length` int(6) NOT NULL default '0',
  `textbox_max_length` int(6) NOT NULL default '0',
  `required` varchar(1) NOT NULL default 'Y',
  `sort_order` smallint(6) NOT NULL default '0',
  `options_values` text,
  `storage_type` varchar(10) NOT NULL default 'E',
  `display_page` varchar(11) NOT NULL default 'C,E',
  PRIMARY KEY  (`info_id`)
);

DROP TABLE IF EXISTS `customers_info_fields_description`;
CREATE TABLE `customers_info_fields_description` (
  `info_id` int(11) NOT NULL default '0',
  `label_text` varchar(255) default NULL,
  `input_title` mediumtext,
  `input_description` mediumtext,
  `error_text` varchar(400) default NULL,
  `languages_id` int(11) NOT NULL default '0'
);

DROP TABLE IF EXISTS `customers_extra_info`;
CREATE TABLE `customers_extra_info` (
  `uniquename` varchar(255) NOT NULL,
  `fieldvalue` text,
  `customers_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`uniquename`,`customers_id`)
);

INSERT INTO `customers_info_fields` (`info_id`, `uniquename`, `active`, `system`, `locked`, `show_label`, `input_type`, `default_value`, `textbox_size`, `textbox_min_length`, `textbox_max_length`, `required`, `sort_order`, `options_values`, `storage_type`, `display_page`) VALUES 
  (1,'title_1','Y','Y','N','Y','L',NULL,'5',0,0,'Y',1,NULL,'C','C'),
  (2,'#1_gender','Y','Y','N','Y','O','M','5',0,0,'Y',2,'Male@@m##Female@@f','C,A','C,E,A'),
  (3,'#1_firstname','Y','Y','Y','Y','T',NULL,'15',2,0,'Y',3,NULL,'C,A','C,E,A'),
  (4,'#1_lastname','Y','Y','Y','Y','T',NULL,'15',2,0,'Y',4,NULL,'C,A','C,E,A'),
  (5,'customers_dob','Y','Y','N','Y','T',NULL,'15',10,10,'Y',5,NULL,'C','C'),
  (6,'customers_username','Y','Y','N','Y','T',NULL,'15',6,0,'Y',6,NULL,'C','C,E'),
  (7,'customers_email_address','Y','Y','Y','Y','T',NULL,'15',6,0,'Y',7,NULL,'C','C,E'),
  (8,'customers_confirm_email_address','Y','Y','N','Y','T',NULL,'15',6,0,'Y',8,NULL,'','C,E'),
  (9,'customers_second_email_address','Y','Y','N','Y','T',NULL,'15',6,0,'N',9,NULL,'C','C,E'),
  (10,'title_2','Y','Y','N','Y','L',NULL,'5',0,0,'Y',10,NULL,'C','C'),
  (11,'entry_company','N','Y','N','Y','T',NULL,'15',3,0,'N',11,NULL,'A','C,E'),
  (12,'entry_street_address','Y','Y','N','Y','T',NULL,'15',5,0,'Y',12,NULL,'A','C,A'),
  (13,'entry_suburb','Y','Y','N','Y','T',NULL,'15',5,0,'N',13,NULL,'A','C,A'),
  (14,'entry_postcode','Y','Y','Y','Y','T',NULL,'15',4,0,'Y',14,NULL,'A','C,A'),
  (15,'entry_city','Y','Y','Y','Y','T',NULL,'15',3,0,'Y',15,NULL,'A','C,A'),
  (16,'country_state','Y','Y','N','Y','U','13','5',2,0,'Y',16,NULL,'A','C,E,A'),
  (17,'title_3','Y','Y','N','Y','L',NULL,'5',0,0,'Y',17,NULL,'C','C'),
  (18,'customers_telephone','Y','Y','N','Y','T',NULL,'15',8,0,'Y',18,NULL,'C','C,E'),
  (19,'customers_second_telephone','Y','Y','N','Y','T',NULL,'15',8,0,'N',19,NULL,'C','C,E'),
  (20,'customers_fax','Y','Y','N','Y','T',NULL,'15',7,0,'N',20,NULL,'C','C,E'),
  (21,'title_4','Y','Y','N','Y','L',NULL,'5',0,0,'Y',21,NULL,'C','C'),
  (22,'customers_newsletter','Y','Y','N','Y','C',NULL,'5',0,0,'N',22,NULL,'C','C'),
  (23,'customers_reserve_newsletter','Y','Y','N','Y','C',NULL,'5',0,0,'N',23,NULL,'C','C'),
  (24,'customers_subscription_newsletter','Y','Y','N','Y','C',NULL,'5',0,0,'N',24,NULL,'C','C'),
  (25,'customers_occupation','N','Y','N','Y','U',NULL,'5',0,0,'N',25,NULL,'C','C'),
  (26,'customers_interest','N','Y','N','Y','U',NULL,'5',0,0,'N',26,NULL,'C','C'),
  (27,'title_5','Y','Y','N','Y','L',NULL,'5',0,0,'Y',27,NULL,'C','C'),
  (28,'customers_referal','Y','Y','N','Y','U',NULL,'5',0,0,'Y',28,NULL,'C','C'),
  (29,'title_6','Y','Y','N','Y','L','','',0,0,'Y',29,'','C','C'),
  (30,'password_and_confirm','Y','Y','Y','Y','U',NULL,'15',4,0,'Y',30,NULL,'C','C');
  
  
INSERT INTO `customers_info_fields_description` (`info_id`, `label_text`, `input_title`, `input_description`, `error_text`, `languages_id`) VALUES 
  (1,'Your Personal Details',NULL,NULL,NULL,1),
  (2,'Gender','Choose your gender',NULL,'Please select a gender',1),
  (3,'First Name','Enter your First Name\r\n',NULL,'Your First Name must contain a minimum of ==MIN== characters',1),
  (4,'Last Name','Enter your Last Name',NULL,'Your Last Name must contain a minimum of ==MIN== characters',1),
  (5,'Date of Birth','Enter your Date of Birth in specified format','(eg. ==EX_DATE==)','Your Date of Birth must be in this format ==DATE_FORMAT== eg. ==EX_DATE==',1),
  (6,'Username','Enter your Username.',NULL,'Your username must contain a minimum of ==MIN== characters##Username already exists in our records. Select a different one',1),
  (7,'Email','Enter your E-mail Address',NULL,'Your E-mail Address must contain a minimum of ==MIN== characters##Your E-mail Address is not an valid one##Your E-mail Address already exists in our records.Please choose another one',1),
  (8,'Confirm Email','Confirm your E-mail Address',NULL,'Your E-mail Address must match your Confirm E-mail Address',1),
  (9,'Second Email','Enter your Second Email Address',NULL,'Your Second Email Address must be an valid one',1),
  (10,'Your Address',NULL,NULL,NULL,1),
  (11,'Company Name','Enter your company name',NULL,'Your company name must contain a minimum of ==MIN== characters',1),
  (12,'Steet Address','Enter your Street Address',NULL,'Your Street Address must contain a minimum of ==MIN== characters',1),
  (13,'Address 2','Address Line 2',NULL,'Address cannot be empty',1),
  (14,'Zip Code','Enter your Zip Code',NULL,'Your Zip Code must contain a minimum of ==MIN== characters',1),
  (15,'City','Enter your City',NULL,'Your City must contian a minimum of ==MIN== characters',1),
  (16,'Country##State/Province','Select Your country and state',NULL,'Select a country##Select a State##Your state must contain a minimum of  ==MIN== characters',1),
  (17,'Your Contact Information',NULL,NULL,NULL,1),
  (18,'Telephone Number','Enter your Telephone Number',NULL,'Your Telephone number must contain a minimum of ==MIN== Characters',1),
  (19,'Second Telephone Number','Enter your Second Telephone Number',NULL,'Your Second Telephone number cannot be empty',1),
  (20,'Mobile Number','Enter your Mobile Number','For Free SMS Reminders eg.(0415981853)','Your Mobile Number cannot be empty',1),
  (21,'Options',NULL,NULL,NULL,1),
  (22,'Newsletter','Tick for Newsletter E-mails',NULL,NULL,1),
  (23,'Notifications of Reservation/Waiting List','Tick for Event Notifications',NULL,NULL,1),
  (24,'Notifications of subscription list','Tick for Subscription Notifications',NULL,NULL,1),
  (25,'Occupation','Select Your Occupation',NULL,'Select Your Occupation',1),
  (26,'Interest','Select Your Interest',NULL,'Select Your Interest',1),
  (27,'Referral Source',NULL,NULL,NULL,1),
  (28,'How did you Hear about us##(if \"Other\" please specify)','Select Your Referal Source',NULL,'Select Your Referal Source##Referal Source cannot be empty',1),
  (29,'Your Password','input title','input desc','',1),
  (30,'Password##Password Confirmation','Enter password for your account',NULL,'Password must contain a minimum of ==MIN== characters##Password Confirmation must match your Password##Password strength is poor',1);


INSERT INTO admin_menus (menu_id, parent_id, admin_groups_id, menu_pos, filename, params, menu_item_type) VALUES (329,160,'1',161,'customers_info_fields.php','','');
INSERT INTO admin_menus_description (menu_id, menu_text, language_id) VALUES (329,'Customers',1);
INSERT INTO admin_files (admin_files_name, admin_files_is_boxes, admin_files_to_boxes, admin_groups_id) VALUES ('customers_info_fields.php', 1, 1, '1');

INSERT into sql_queries values('freeway_v1_5_4.sql',now());